{% extends 'base.html' %}

{% block content %}

    <div class="container">
        <div class="mx-auto">
            <div class="card">
                <h5 class="card-header">{{ gpu["key"]["name"] }}
                </h5>

                <div class="card-body">
                    <form action="{{ url_for('editgpusend', key=gpu["key"]["name"]) }}" method="post">
                        <div class="form-group">
                            {{ render_field(form.name) }}
                            {{ render_field(form.manuefacturer) }}
                            {{ render_field(form.date_issued, type="date") }}
                            {{ render_field(form.geometryShader, type="checkbox", class="form-check-input") }}
                            {{ render_field(form.tesselationShader, type="checkbox", class="form-check-input") }}
                            {{ render_field(form.shaderInt16, type="checkbox", class="form-check-input") }}
                            {{ render_field(form.sparseBinding,type="checkbox", class="form-check-input") }}
                            {{ render_field(form.textureCompressionETC2, type="checkbox", class="form-check-input") }}
                            {{ render_field(form.vertexPipelineStoresAndAtomics, type="checkbox", class="form-check-input") }}
                            {{ form.csrf_token }}
                        </div>
                        <input type="submit" class="btn btn-primary" value="Submit">
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endblock %}